I can't install the newrelic-infra agent on Ubuntu 14.04

Hi! I am trying to install the newrelic-infra agent on Ubuntu 14.04. This is the documentation I am following: Install the infrastructure monitoring agent for Linux | New Relic Documentation

This is what my newrelic-infra.list file looks like:
deb [arch=amd64] “https://download.newrelic.com/infrastructure_agent/linux/apt” trusty main

The error that I see when executing sudo apt-get update is the following:
Err https://download.newrelic.com trusty/main amd64 Packages
gnutls_handshake() failed: Handshake failed
Ign https://download.newrelic.com trusty/main Translation-en
W: Failed to fetch https://download.newrelic.com/infrastructure_agent/linux/apt/dists/trusty/main/binary-amd64/Packages gnutls_handshake() failed: Handshake failed

E: Some index files failed to download. They have been ignored, or old ones used instead.

Until a few mounths ago, following the same steps everything worked correctly, I don’t know what could have changed now.

1 Like

Hi there @sergio11 -

Thanks for your patience with us. Our latest Infrastructure agent does not support Ubuntu 14.04. Per our documentation, the earliest version supported is 16.04.

You could try the manual installation process to see if that works. More on that here:

https://docs.newrelic.com/docs/infrastructure/install-infrastructure-agent/linux-installation/install-infrastructure-monitoring-agent-linux/

Please let me know if that works out.

This topic was automatically closed after 365 days. New replies are no longer allowed.